Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229992 - Multilib conflict (i386,x86_64): file /usr/share/man/man8/dmsetup.8.gz
Summary: Multilib conflict (i386,x86_64): file /usr/share/man/man8/dmsetup.8.gz
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-obsolete
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-25 16:54 UTC by Saikat Guha
Modified: 2014-01-21 22:57 UTC (History)
11 users (show)

Fixed In Version: 1.02.17-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-19 20:19:39 UTC


Attachments (Terms of Use)

Description Saikat Guha 2007-02-25 16:54:51 UTC
Conflicts while yum upgrade.

Transaction Check Error:   file /usr/share/man/man8/dmsetup.8.gz from install of
device-mapper-1.02.17-6.fc7 conflicts with file from package
device-mapper-1.02.13-1.fc7


Seems like yum isn't pulling in the 1.02.17-6.fc7.i386 causing the conflict


[root@sioux ~]#  rpm -qf /usr/share/man/man8/dmsetup.8.gz
device-mapper-1.02.13-1.fc7.x86_64
device-mapper-1.02.13-1.fc7.i386

[root@sioux ~]# yum install device-mapper.x86_64 device-mapper.i386
...
Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 device-mapper           x86_64     1.02.17-6.fc7    development       466 k
Installing for dependencies:
 device-mapper-libs      x86_64     1.02.17-6.fc7    development        42 k
Updating for dependencies:
 ...




Both x86 and x86_64 packages are enabled in yum.


[root@sioux ~]# cat /etc/yum.conf 
...
#exclude=*.i?86      # commented out

[root@sioux ~]# yum list device-mapper
Installed Packages
device-mapper.i386                       1.02.13-1.fc7          installed       
device-mapper.x86_64                     1.02.13-1.fc7          installed       
wine.i386                                0.9.27-1.fc7           installed       
Available Packages
device-mapper.x86_64                     1.02.17-6.fc7          development     
wine.i386                                0.9.31-1.fc7           extras-developme

Comment 1 Alasdair Kergon 2007-02-27 17:04:43 UTC
I think it's a question for yum, what the right behaviour should be when
overlapping packages from two archs have been installed like that.

[-libs is now separate so you probably don't want the device-mapper i386 package
installed any more.]

Comment 2 Jeremy Katz 2007-02-27 17:07:37 UTC
This is purely a bug in the upgrade path in the package.  You don't have
anything saying that the old, other arch of the device-mapper package should be
removed.

Comment 3 Alasdair Kergon 2007-02-27 17:11:44 UTC
can you point to an example of how to do this?

Comment 4 Alasdair Kergon 2007-02-27 20:43:13 UTC
Trying with -libs Obsoleting pre-split device-mapper package.

Comment 5 Alasdair Kergon 2007-02-27 20:44:23 UTC
I note that 'gzip -n' should have been used to compress the man page to avoid
the conflict.

Comment 6 Alasdair Kergon 2007-07-19 20:19:39 UTC
Hopefully fixed now.


Note You need to log in before you can comment on or make changes to this bug.